import request from '@/utils/request'

// 查询会员营期列表
export function listUserCoursePeriod(query) {
  return request({
    url: '/course/userCoursePeriod/list',
    method: 'get',
    params: query
  })
}

// 查询会员营期详细
export function getUserCoursePeriod(periodId) {
  return request({
    url: '/course/userCoursePeriod/' + periodId,
    method: 'get'
  })
}

// 新增会员营期
export function addUserCoursePeriod(data) {
  return request({
    url: '/course/userCoursePeriod',
    method: 'post',
    data: data
  })
}

// 修改会员营期
export function updateUserCoursePeriod(data) {
  return request({
    url: '/course/userCoursePeriod',
    method: 'put',
    data: data
  })
}

// 删除会员营期
export function delUserCoursePeriod(periodId) {
  return request({
    url: '/course/userCoursePeriod/' + periodId,
    method: 'delete'
  })
}

// 导出会员营期
export function exportUserCoursePeriod(query) {
  return request({
    url: '/course/userCoursePeriod/export',
    method: 'get',
    params: query
  })
}
